[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/konversation/devel kdegcc4.patch, NONE, 1.1 konversation.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2



Author: ausil

Update of /cvs/extras/rpms/konversation/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv16654/devel

Modified Files:
	.cvsignore sources 
Added Files:
	kdegcc4.patch konversation.spec 
Log Message:
auto-import konversation-0.18-3.fc4 on branch devel from konversation-0.18-3.fc4.src.rpm

kdegcc4.patch:

--- NEW FILE kdegcc4.patch ---
diff -Nur konversation-0.18-orig/configure konversation-0.18/configure
--- konversation-0.18-orig/configure	2005-06-07 08:34:47.000000000 +0200
+++ konversation-0.18/configure	2005-06-27 23:52:50.000000000 +0200
@@ -4206,90 +4206,6 @@
 
 
 
-  echo "$as_me:$LINENO: checking whether $CC is blacklisted" >&5
-echo $ECHO_N "checking whether $CC is blacklisted... $ECHO_C" >&6
-
-
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#ifdef __GNUC__
-#if __GNUC__ == 4 && __GNUC_MINOR__ == 0 && __GNUC_PATCHLEVEL__ == 0
-choke me
-#endif
-#endif
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  kde_bad_compiler=no
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-kde_bad_compiler=yes
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-
-  echo "$as_me:$LINENO: result: $kde_bad_compiler" >&5
-echo "${ECHO_T}$kde_bad_compiler" >&6
-
-if test "$kde_bad_compiler" = "yes"; then
-  { { echo "$as_me:$LINENO: error:
-
-This particular compiler version is blacklisted because it
-is known to miscompile KDE. Please use a newer version, or
-if that is not yet available, choose an older version.
-
-Please do not report a bug or bother us reporting this
-configure error. We know about it, and we introduced
-it by intention to avoid untraceable bugs or crashes in KDE.
-
-" >&5
-echo "$as_me: error:
-
-This particular compiler version is blacklisted because it
-is known to miscompile KDE. Please use a newer version, or
-if that is not yet available, choose an older version.
-
-Please do not report a bug or bother us reporting this
-configure error. We know about it, and we introduced
-it by intention to avoid untraceable bugs or crashes in KDE.
-
-" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 
 
 


--- NEW FILE konversation.spec ---
Name:           konversation
Version:        0.18
Release:        3%{?dist}
Summary:        Konversation is a user friendly IRC client for KDE

Group:          Applications/Internet
License:        GPL
URL:            http://konversation.kde.org
Source0:        http://download.berlios.de/konversation/konversation-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel  >= 3.2
Requires:       kdebase >= 3.2

patch0: kdegcc4.patch

%description
A simple and easy to use IRC client for KDE with support for
strikeout; multi-channel joins; away / unaway messages;
ignore list functionality; (experimental) support for foreign
language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more

%prep
%setup -q
%patch0 -p1 -b .gcc4

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--vendor=fedora \
--add-category=X-Fedora \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applications/kde/konversation.desktop


## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_bindir}/konversation
%{_bindir}/konversationircprotocolhandler
%{_datadir}/applications/fedora-konversation.desktop
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/konversation
%config %{_datadir}/config.kcfg/konversation.kcfg
%{_datadir}/icons/crystalsvg/*/actions/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/services/konvirc.protocol
%{_datadir}/services/konvirc6.protocol


%changelog
* Tue Jun 28 2005  Dennis Gilmore <dennis ausil us> - 0.18-3
- Destop-file-install,  change gcc4 patch  to configure  
  remove unneeded build deps.
* Mon Jun 27 2005  Dennis Gilmore <dennis ausil us> - 0.18-2
- Fix build requires,set QT, %%lang'ify LOCALE bits and HTML docs
  move automake to prep
* Sat Jun 25 2005  Dennis Gilmore <dennis ausil us> - 0.18-1
- Initial build


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/konversation/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	29 Jun 2005 19:42:59 -0000	1.1
+++ .cvsignore	29 Jun 2005 19:44:46 -0000	1.2
@@ -0,0 +1 @@
+konversation-0.18.tar.bz2


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/konversation/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	29 Jun 2005 19:42:59 -0000	1.1
+++ sources	29 Jun 2005 19:44:46 -0000	1.2
@@ -0,0 +1 @@
+87eceaaad4223d17380cd1f8dfe8123f  konversation-0.18.tar.bz2


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]